<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::sampleApp::UserInputManager Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html">sampleApp</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_user_input_manager.html">UserInputManager</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1sample_app_1_1_user_input_manager-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::sampleApp::UserInputManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Observes user input from the console and notifies the interaction manager of the user's intentions.  
 <a href="classalexa_client_s_d_k_1_1sample_app_1_1_user_input_manager.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_user_input_manager_8h_source.html">UserInputManager.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::sampleApp::UserInputManager:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1sample_app_1_1_user_input_manager__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1sample_app_1_1_user_input_manager_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1sample_app_1_1_user_input_manager_inherit__map" id="alexa_client_s_d_k_1_1sample_app_1_1_user_input_manager_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::AuthObserverInterface" alt="" coords="10,5,260,44"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::CapabilitiesObserver\lInterface" alt="" coords="15,68,255,120"/>
<area shape="rect" id="node4" href="classalexa_client_s_d_k_1_1registration_manager_1_1_registration_observer_interface.html" title="alexaClientSDK::registration\lManager::RegistrationObserverInterface" alt="" coords="5,144,265,183"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::sampleApp::UserInputManager:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1sample_app_1_1_user_input_manager__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1sample_app_1_1_user_input_manager_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1sample_app_1_1_user_input_manager_coll__map" id="alexa_client_s_d_k_1_1sample_app_1_1_user_input_manager_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::AuthObserverInterface" alt="" coords="10,5,260,44"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::CapabilitiesObserver\lInterface" alt="" coords="15,68,255,120"/>
<area shape="rect" id="node4" href="classalexa_client_s_d_k_1_1registration_manager_1_1_registration_observer_interface.html" title="alexaClientSDK::registration\lManager::RegistrationObserverInterface" alt="" coords="5,144,265,183"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a78419bff185de02cbd3fcf3d6f1bb2a2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#a091908d2e9931dcf16819bd967de7e70">SampleAppReturnCode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_user_input_manager.html#a78419bff185de02cbd3fcf3d6f1bb2a2">run</a> ()</td></tr>
<tr class="separator:a78419bff185de02cbd3fcf3d6f1bb2a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">RegistrationObserverInterface Functions</div></td></tr>
<tr class="memitem:a8208a98e022da67f075ee025992534f0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_user_input_manager.html#a8208a98e022da67f075ee025992534f0">onLogout</a> () override</td></tr>
<tr class="separator:a8208a98e022da67f075ee025992534f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::AuthObserverInterface</a></td></tr>
<tr class="memitem:adaaa8ea9247637f727eb20a16f09d80e inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#adaaa8ea9247637f727eb20a16f09d80e">~AuthObserverInterface</a> ()=default</td></tr>
<tr class="separator:adaaa8ea9247637f727eb20a16f09d80e inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::CapabilitiesObserverInterface</a></td></tr>
<tr class="memitem:a7a676d3b89145fb0c4f955930c652fe1 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#a7a676d3b89145fb0c4f955930c652fe1">~CapabilitiesObserverInterface</a> ()=default</td></tr>
<tr class="separator:a7a676d3b89145fb0c4f955930c652fe1 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1registration_manager_1_1_registration_observer_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1registration_manager_1_1_registration_observer_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_registration_observer_interface.html">alexaClientSDK::registrationManager::RegistrationObserverInterface</a></td></tr>
<tr class="memitem:a2a1b78ee33da96fd9de2449fe05c09cc inherit pub_methods_classalexa_client_s_d_k_1_1registration_manager_1_1_registration_observer_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_registration_observer_interface.html#a2a1b78ee33da96fd9de2449fe05c09cc">~RegistrationObserverInterface</a> ()=default</td></tr>
<tr class="separator:a2a1b78ee33da96fd9de2449fe05c09cc inherit pub_methods_classalexa_client_s_d_k_1_1registration_manager_1_1_registration_observer_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a29098184f29bc5a4c588549473daf623"><td class="memItemLeft" align="right" valign="top">static std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_user_input_manager.html">UserInputManager</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_user_input_manager.html#a29098184f29bc5a4c588549473daf623">create</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">InteractionManager</a> &gt; interactionManager, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_console_reader.html">ConsoleReader</a> &gt; consoleReader)</td></tr>
<tr class="separator:a29098184f29bc5a4c588549473daf623"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::AuthObserverInterface</a></td></tr>
<tr class="memitem:a62a72a6ac191b845c9a379a7d4ad56f4 inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a62a72a6ac191b845c9a379a7d4ad56f4">State</a> { <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a62a72a6ac191b845c9a379a7d4ad56f4add652546039b18970b8dcf2cff824268">State::UNINITIALIZED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a62a72a6ac191b845c9a379a7d4ad56f4a87d0a2ea7d2aee5153eaa716da4c8f60">State::REFRESHED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a62a72a6ac191b845c9a379a7d4ad56f4a38afd7ae34bd5e3e6fc170d8b09178a3">State::EXPIRED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a62a72a6ac191b845c9a379a7d4ad56f4aa0d7ca35e85a9f7eb269d17c780ab691">State::UNRECOVERABLE_ERROR</a>
 }</td></tr>
<tr class="memdesc:a62a72a6ac191b845c9a379a7d4ad56f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">The enum State describes the state of authorization.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a62a72a6ac191b845c9a379a7d4ad56f4">More...</a><br /></td></tr>
<tr class="separator:a62a72a6ac191b845c9a379a7d4ad56f4 inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a3b2f95459c18e64fab7a296ad9fbce inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbce">Error</a> { <br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbcead0749aaba8b833466dfcbb0428e4f89c">Error::SUCCESS</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbcea9a10f345b0f755d461a8673a5e9ef6b4">Error::UNKNOWN_ERROR</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbceadce1442cd971edf5002db43b36fffa35">Error::AUTHORIZATION_FAILED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbcea0416665af33a040a02e16a0448a44c92">Error::UNAUTHORIZED_CLIENT</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbcea3fd4acc4cfaa41114f84707b95f05f31">Error::SERVER_ERROR</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbceab8c9d7ce4c399c56136475f36309020f">Error::INVALID_REQUEST</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbcead8f24f388e990b9ccf8905b7993b99ae">Error::INVALID_VALUE</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbceab5070f2cd4c592acd39c78b2023a56d3">Error::AUTHORIZATION_EXPIRED</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbcea58c1573951cde96d85d8fc7c0c850889">Error::UNSUPPORTED_GRANT_TYPE</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbcea12c3d12888b38141abcbee72ee836587">Error::INVALID_CODE_PAIR</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbcea6b627cb5218d413b73e27bed70c35a3d">Error::AUTHORIZATION_PENDING</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbcea4a0a2ddc7446f94d38bcdd71e9bd4ee6">Error::SLOW_DOWN</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbceae8c0c70879b5895c615677261d64a1ee">Error::INTERNAL_ERROR</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbcea4ef167bea8f7fa2a2cfd2934ea952ce3">Error::INVALID_CBL_CLIENT_ID</a>
<br />
 }</td></tr>
<tr class="memdesc:a3a3b2f95459c18e64fab7a296ad9fbce"><td class="mdescLeft">&#160;</td><td class="mdescRight">The enum Error encodes possible errors which may occur when changing state.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbce">More...</a><br /></td></tr>
<tr class="separator:a3a3b2f95459c18e64fab7a296ad9fbce inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::CapabilitiesObserverInterface</a></td></tr>
<tr class="memitem:a0638b7e7b3ae7d69b2e142eae333d1f8 inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#a0638b7e7b3ae7d69b2e142eae333d1f8">State</a> { <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#a0638b7e7b3ae7d69b2e142eae333d1f8add652546039b18970b8dcf2cff824268">State::UNINITIALIZED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#a0638b7e7b3ae7d69b2e142eae333d1f8ad0749aaba8b833466dfcbb0428e4f89c">State::SUCCESS</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#a0638b7e7b3ae7d69b2e142eae333d1f8ac6179cb17067a08588ff65efb6d02cdd">State::FATAL_ERROR</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#a0638b7e7b3ae7d69b2e142eae333d1f8a338d7999ce17b46e8aff3f23d0436b06">State::RETRIABLE_ERROR</a>
 }</td></tr>
<tr class="memdesc:a0638b7e7b3ae7d69b2e142eae333d1f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">The enum State describes the state of the CapabilitiesDelegate.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#a0638b7e7b3ae7d69b2e142eae333d1f8">More...</a><br /></td></tr>
<tr class="separator:a0638b7e7b3ae7d69b2e142eae333d1f8 inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5355f9a98b5f65b3a5fa3603b1035a8 inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#ac5355f9a98b5f65b3a5fa3603b1035a8">Error</a> { <br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#ac5355f9a98b5f65b3a5fa3603b1035a8add652546039b18970b8dcf2cff824268">Error::UNINITIALIZED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#ac5355f9a98b5f65b3a5fa3603b1035a8ad0749aaba8b833466dfcbb0428e4f89c">Error::SUCCESS</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#ac5355f9a98b5f65b3a5fa3603b1035a8a9a10f345b0f755d461a8673a5e9ef6b4">Error::UNKNOWN_ERROR</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#ac5355f9a98b5f65b3a5fa3603b1035a8a4a76a6ecac6e4077588fd966db329fa3">Error::FORBIDDEN</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#ac5355f9a98b5f65b3a5fa3603b1035a8a6a701b3f16c45b9d96fec4ac97805d9c">Error::SERVER_INTERNAL_ERROR</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#ac5355f9a98b5f65b3a5fa3603b1035a8a0bbffe9eb8bbfc49246e867fccaefb73">Error::BAD_REQUEST</a>
<br />
 }</td></tr>
<tr class="memdesc:ac5355f9a98b5f65b3a5fa3603b1035a8"><td class="mdescLeft">&#160;</td><td class="mdescRight">The enum Error encodes possible errors which may occur when changing state.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#ac5355f9a98b5f65b3a5fa3603b1035a8">More...</a><br /></td></tr>
<tr class="separator:ac5355f9a98b5f65b3a5fa3603b1035a8 inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Observes user input from the console and notifies the interaction manager of the user's intentions. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a29098184f29bc5a4c588549473daf623"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29098184f29bc5a4c588549473daf623">&#9670;&nbsp;</a></span>create()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_user_input_manager.html">UserInputManager</a> &gt; alexaClientSDK::sampleApp::UserInputManager::create </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">InteractionManager</a> &gt;&#160;</td>
          <td class="paramname"><em>interactionManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_console_reader.html">ConsoleReader</a> &gt;&#160;</td>
          <td class="paramname"><em>consoleReader</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Create a <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_user_input_manager.html" title="Observes user input from the console and notifies the interaction manager of the user&#39;s intentions...">UserInputManager</a>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interactionManager</td><td>An instance of the <code><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">InteractionManager</a></code> used to manage user input. </td></tr>
    <tr><td class="paramname">consoleReader</td><td>The <code><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_console_reader.html">ConsoleReader</a></code> to read inputs from console. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Returns a new <code><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_user_input_manager.html" title="Observes user input from the console and notifies the interaction manager of the user&#39;s intentions...">UserInputManager</a></code>, or <code>nullptr</code> if the operation failed. </dd></dl>

</div>
</div>
<a id="a8208a98e022da67f075ee025992534f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8208a98e022da67f075ee025992534f0">&#9670;&nbsp;</a></span>onLogout()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::sampleApp::UserInputManager::onLogout </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Notification that the current customer has logged out.</p>
<dl class="section warning"><dt>Warning</dt><dd>This method is called while RegistrationManager is in a locked state. The callback must not block on calls to RegistrationManager methods either. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_registration_observer_interface.html#a66ac49ddd2a7d1b683d7ab39f5582e2e">alexaClientSDK::registrationManager::RegistrationObserverInterface</a>.</p>

</div>
</div>
<a id="a78419bff185de02cbd3fcf3d6f1bb2a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78419bff185de02cbd3fcf3d6f1bb2a2">&#9670;&nbsp;</a></span>run()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#a091908d2e9931dcf16819bd967de7e70">SampleAppReturnCode</a> alexaClientSDK::sampleApp::UserInputManager::run </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Processes user input until a quit command or a device reset is triggered.</p>
<dl class="section return"><dt>Returns</dt><dd>Returns a <code>SampleAppReturnCode</code>. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/SampleApp/include/SampleApp/<a class="el" href="_user_input_manager_8h_source.html">UserInputManager.h</a></li>
<li>/workplace/avs-device-sdk/SampleApp/src/<a class="el" href="_user_input_manager_8cpp.html">UserInputManager.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
